Connection endpoints allow you to manage connection details in your Redox organization.
Currently, you can retrieve the health status of your connections.
Get connection VPN status
Retrieves the health status of all connections, including VPN test results. Learn more about VPN test types.
cURL request example
Path Parameters
- environmentIdrequired, string
Identifies the specific environment that you're operating in or on behalf of.
Query Parameters
- _pagenumber
Indicates a specific page of results to return. This value typically comes from a previous response's
pageobject. - _countnumber
Defines the number of results to return per page. The maximum value per page is 50.
- metaobject
- versionstring
Lists the major and minor version number for the format of the returned payload. The payload format or shape may change between minor versions, like including additional or extended fields in later versions. We include the version data in each response so that you have the option to handle the signaled differences.
- pageobject
Contains metadata about paginated results of returned data.
- totalRecordsnumber
Specifies the total number of records across all pages for the result set.
- linksobject
- selfstring
Links to the current page of results.
- nextstring
Links to the next page of results.
- prevstring
Links to the previous page of results, which returns the page based on the current page you're on.
- firststring
Links to the first page of results.
- laststring
Links to the last page of results.
- currentPagenumber
Specifies the current page number.
- pageTypestring
Describes the pagination algorithm.
Value:offest - pageSizenumber
Describes the number of records included in each page of the current result set.
- totalPagesnumber
Specifies the total number of pages in the result set.
- payloadobject
Contains the VPN health status for connections in the environment.
- statusCountsobject
Contains the number of VPN tests on the current page grouped by status.
- successinteger
Indicates how many VPN tests on this page resulted in a success status.
- warninginteger
Indicates how many VPN tests on this page resulted in a warning status.
- failureinteger
Indicates how many VPN tests on this page resulted in a failed status.
- unknowninteger
Indicates how many VPN tests on this page resulted in an unknown status, meaning the status couldn't be determined.
- checksArray of object
Contains a list of VPN test results for the current page. Each test corresponds to a single VPN tunnel or destination.
- connectedOrgIdnumber
Displays the unique identifier of the connected organization.
- connectedOrgNamestring
Displays the name of the connected organization.
- checkTypestring
Describes the type of VPN test performed. A security association (SA) tests whether the VPN tunnel is active. A TCP heartbeat or ping tests whether the VPN destination is receiving data.
Possible Values:security-association,tcp-heartbeat,icmp-ping - statusstring
Displays the VPN status after the test.
Possible Values:success,warning,failure,unknown - resourceTypestring
Indicates whether this tests the VPN tunnel or destination.
Possible Values:vpn,destination - resourceIdstring
Displays the unique identifier of the VPN configuration or destination being tested.
- detailstring
Describes the test result.
- diagnosticsstring
Contains detailed diagnostic information (e.g., IKE phase status, connection error) from the test.
- checkedAtstring
Indicates when the last VPN test was performed.
Format: date-time